mg42_setup()
{
	mg42s = getentarray("trig_mg42", "targetname");
	if (mg42s.size > 0)
	{
		level._effect["mine_explosion"] = loadfx ("fx/impacts/newimps/minefield.efx");
		level._effect["flesh_impact"] = loadfx ("fx/impacts/flesh_hit.efx");
	}
	
	for(i = 0; i < mg42s.size; i++)
	{
		mg42s[i] thread mg42_think();

	}	
}

mg42_think()
{
	while (1)
	{
		self waittill ("trigger",other);		

		if ( isPlayer(other) )
		{
			if (other isinvehicle())
			{
				other thread minefield_kill_vehicle(self);
			}
			else
			{	
				other thread mg42_kill(self);
			}
		}
		else
		{
			other thread minefield_kill_vehicle(self);
		}
	}
}

minefield_kill_vehicle(trigger)
{
	if(isDefined(self.in_mines))
		return;
		
	self.in_mines = true;
	origin = self getorigin();
	self playSound ("minefield_click", origin);
	{
		wait(.5);
		wait(randomFloat(.5));
	
		if(self istouching(trigger))
		{
			origin = self getorigin();
			org = self.origin;
			range = 25;
			maxdamage = 4000;
			mindamage = 400;
			
			playfx ( level._effect["mine_explosion"], origin);
			radiusDamage(origin, range, maxdamage, mindamage);
			level thread playSoundinSpace ("explo_mine", org);
		}
	}
	
//	self waittill("allow explode");
	self.in_mines = undefined;
}

mg42_kill(trigger)
{
	if(isDefined(self.flag))
		return;
		
	self.flag = true;
	self playsound ("mg42_trig");

	wait(.5);
	wait(randomFloat(.5));

	if(self istouching(trigger))
	{
		origin = self getorigin();
		org = self.origin;
		range = 4;
		maxdamage = 2000;
		mindamage = 50;
		
		playfx ( level._effect["flesh_impact"], (origin + (0,0,40)));
//		self DoDamage( self.health+10, origin, 0, "Feldwebel Daffy", "MOD_RIFLE_BULLET" );

		self dodamagemod (self.health+10,origin, "MOD_RIFLE_BULLET");
		self playsound ("mg42_trig");
		wait 0.1;
		playfx ( level._effect["flesh_impact"], (origin + (0,0,50)));
		self playsound ("mg42_trig");
		wait 0.1;
//		level thread playSoundinSpace ("mg42_trig", org);
	}
	self.flag = undefined;
}

playSoundinSpace (alias, origin)
{
	org = spawn ("script_model",origin);
	wait 0.05;
	org playsound (alias);
	wait 6;
	org delete();
}