main()
{
	setCullFog (0, 10200, .32, .36, .40, 0);
	ambientPlay("ambient_mp_berlin");
	
	setcvar("sv_night", "0" );

	level.use_sd_spawns = 1;
	level.allies_allow_snipers = 2;
	level.axis_allow_snipers = 1;

//	d_load();
	maps\mp\_load::main();
	maps\mp\dogred_beach_fx::main();

	thread maps\mp\_mg42trigs::mg42_setup();
	thread maps\mp\_watertrigs::main();
	
	level thread maps\mp\_tankdrive_OLM::main();
//	level thread maps\mp\_boatdrive_OLM::main();
	level thread maps\mp\_artillery_OLM::main();

	game["compass_range"] = 8192;
	game["dom_layoutimage"] = "dogred_beach";
	game["ctf_layoutimage"] = "dogred_beach";
	game["layoutimage"] = "dogred_beach";

	game["allies"] = "american";
	game["axis"] = "german";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["hud_allies_victory_image"]= "gfx/hud/hud@mp_victory_usd.dds";
	game["hud_axis_victory_image"] 	= "gfx/hud/hud@mp_victory_ged.dds";

//dom Settings
	if (getcvar("g_gametype") == "dom")
	{
	//Flag Setup
	//There must be a set of the following for each flag in your map.
		flag1 = getent("flag1","targetname");			// identifies the flag you're setting up
		flag1.script_timer = 5;					// how many seconds a capture takes with one player
		flag1.description = (&"OLM_GT_FLAG1_MP_DOM");	

      		flag2 = getent("flag2","targetname");
		flag2.script_timer = 5;
		flag2.description = (&"OLM_GT_FLAG2_MP_DOM");

		flag3 = getent("flag3","targetname");
		flag3.script_timer = 5;
		flag3.description = (&"OLM_GT_FLAG3_MP_DOM");

      		flag4 = getent("flag4","targetname");
		flag4.script_timer = 5;
		flag4.description = (&"OLM_GT_FLAG4_MP_DOM");

      		flag5 = getent("flag5","targetname");
		flag5.script_timer = 5;
		flag5.description = (&"OLM_GT_FLAG5_MP_DOM");

      		flag6 = getent("flag6","targetname");
		flag6.script_timer = 5;
		flag6.description = (&"OLM_GT_FLAG6_MP_DOM");
	}


//retrival settings
	if (getcvar("g_gametype") == "re")
	{
		game["re_attackers"] = "allies";
		game["re_defenders"] = "axis";
		game["re_attackers_obj_text"] = ("Capture the German radio codebook and return it to the beach.");
		game["re_defenders_obj_text"] = ("Stop Allies from infiltrating your lines. They will try to capture your Codes.");
		game["re_spectator_obj_text"] = ("The Axis must prevent the Allies from capturing a codebook.");
		game["re_attackers_intro_text"] = ("Capture the German radio codebook and return it to the beach.");
		game["re_defenders_intro_text"] = ("Prevent Allies from infiltrating and capturing your radio codebook.");
	}

//search and destroy setup
	if (getcvar("g_gametype") == "sd")
	{//Modified SD.gsc to read these
		game["sd_attackers_obj_text"] = ("Destroy the ammo bunker. Incinerate the radio bunker. Kill enemy troops.");
		game["sd_defenders_obj_text"] = ("Stop Allies from infiltrating your lines. They will try destroy your bunkers.");
		game["sd_spectator_obj_text"] = ("The Axis must prevent the Allies from destroying the ammo and radio bunkers.");
		game["sd_attackers_intro_text"] = ("Destroy the ammo bunker with a bomb. Incinerate the radio bunker with petrol.");
		game["sd_defenders_intro_text"] = ("Prevent the Allies from infiltrating your lines and destroying the bunkers.");
	}

}

d_load()
{
	// Hide exploder models.
	bmodels = getentarray("script_brushmodel", "classname");
	smodels = getentarray("script_model", "classname");
	ents = bmodels;
	for(i = 0; i < smodels.size; i++)
		ents[ents.size] = smodels[i];

	for(i = 0; i < ents.size; i++)
	{
		if(isdefined(ents[i].script_exploder))
		{
			if((ents[i].model == "xmodel/fx") && ((!isdefined(ents[i].targetname)) || (ents[i].targetname != "exploderchunk")))
			{
				ents[i] hide();
			}
			else if((isdefined(ents[i].targetname)) && (ents[i].targetname == "exploder"))
			{
				ents[i] hide();
				
				if(ents[i].classname != "script_model")
					ents[i] notsolid();
			}
			else if((isdefined(ents[i].targetname)) && (ents[i].targetname == "exploderchunk"))
			{
				ents[i] hide();
				
				if(ents[i].classname != "script_model")
					ents[i] notsolid();
			}
		}
	}
	
	ents = undefined;

// Do various things on triggers
	for(p = 0; p < 5; p++)
	{
		switch (p)
		{
			case 0:	triggertype = "trigger_multiple"; break;
			case 1:	triggertype = "trigger_once"; break;
			case 2:	triggertype = "trigger_use"; break;
			case 3:	triggertype = "trigger_damage"; break;
			case 4:	triggertype = "trigger_hurt"; break;
		}		
			
		triggers = getentarray(triggertype, "classname");
		for(i = 0; i < triggers.size; i++)
		{
			if(isdefined(triggers[i].script_exploder))
				level thread exploder(triggers[i]);
		}
	}

	brushes = getentarray("script_brushmodel", "classname");
	for(i = 0; i < brushes.size; i++)
		level._script_expoders = maps\mp\_utility::add_to_array(level._script_expoders, brushes[i]);

	models = getentarray("script_model", "classname");
	for(i = 0; i < models.size; i++)
		level._script_expoders = maps\mp\_utility::add_to_array(level._script_expoders, models[i]);

	brushes = undefined;
	models = undefined;
}

exploder(trigger)
{
	trigger waittill("trigger");
	maps\mp\_utility::exploder(trigger.script_exploder);
	trigger delete();
}